import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import OrganizationTree from '../../../coms/OrganizationTree';
import Tabs from '../../../coms/Tabs';
import {
	cloneDeep
} from 'lodash';

@observer
export default class LeftContainer extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			store,
			routeProps
		} = this.props;

		let orgTreeProps = cloneDeep(store.orgTreeProps);

		return (
			<div className="left">
				<OrganizationTree ecId={`${this && this.props && this.props.ecId || ''}_OrganizationTree@j2992u`} {...orgTreeProps} ref={dom => store.setTreeRef(dom)}/>
			</div>
		)
	}
}